<?php

/**
 * @file
 * Hooks provided by the Embed module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Allow / disallow haystack indexing.
 *
 * @param $node
 *
 * @return bool
 * Only FALSE value has effects (A FALSE value trumps all TRUE value from other implementations).
 *
 */
function hook_haystack_allow_indexing($node) {
  if ($node->isPublished()) {
    return TRUE;
  }
  else {
    return FALSE;
  }
}

/**
 * Alter haystack index package.
 *
 * @param $node
 *
 * @return array $fields
 *
 */
function hook_haystack_get_fields($node) {
  $fields = array(
    'some_field' => 'some value'
  );
  return $fields;
}

/**
 * @} End of "addtogroup hooks".
 */
